class DriedLavaBlock extends Block {
  //a sub class of block. used instead of CustomBlock as it has an extra script.
  PImage img;
  String type;
  int y_off;
  
  DriedLavaBlock(float _x, float _y, int _x_list_pos, int _y_list_pos) {
    super(_x, _y, _x_list_pos, _y_list_pos, "dried_lava_block.png", "dried lava block", 1, null);
    img = texture_manager.get_texture("dried_lava_block.png");
    item = null;
    super.item = item;
    super.img = img.get();
    y_off = 0;
  }
  
  void kill() {
    blocks[x_list_pos][y_list_pos] = new LavaBlock(x, y, x_list_pos, y_list_pos, 0.5);
  }
}