class ForestWizard extends Enemy {
  int current_attack_cooldown;
  ForestWizard(float temp_x, float temp_y, Block[][] temp_blocks) {
    super(temp_x, temp_y, "forest wizard", "forest_wizard.png", 4, temp_blocks);
    attack = 0;
    health = 30;
    max_health = 2;
    speed = 2;
    attack_cooldown = 120;
    current_attack_cooldown = attack_cooldown;
  }
  
  void update(Player player) {
    if (current_attack_cooldown == 0) {
      game.enemy_bullets.add(new EnemyBullet(super.location.x, super.location.y, 10, 900, "forest_wizard_bullet.png", 4, 0, true));
      current_attack_cooldown = attack_cooldown;
    } else {
      current_attack_cooldown--;
    }
    // EnemyBullet(float x, float y, float _speed, float range, String img_name, float _damage, float _tracking, boolean _stopped_by_walls) {
    super.update(player);
  }
}