/*
Vladimir Shevyakov
Computer Science 30
November 29, 2016

Array Lists Assignment
*/

Game game;
Block[][] blocks;
BackgroundWall[][] background_walls;
TextureManager texture_manager;
Player player;
int land_width, land_height, biome_width;
String biome_type;
float saved_alt;

void setup() {
  size(960, 720);
  //initiate some global variables
  land_width = 800;
  land_height = 800;
  biome_width = 200;
  biome_type = "forest";
  saved_alt = 0;
  //load the blocks and the player
  blocks = new Block[land_width][land_height];
  background_walls = new BackgroundWall[land_width][land_height];
  texture_manager = new TextureManager();
  player = new Player(400, -height/2, blocks);
  
  //instantiate a new game
  game = new Game();
}

void draw() {
  //update the game
  game.update();
}

//take the input to the player class
void keyPressed() {
  player.keyPressed();
}

void keyReleased() {
  player.keyReleased();
}

void mousePressed() {
  player.mousePressed();
}

void mouseClicked() {
  player.mouseClicked();
}

void updatePlayerInventory() {
  player.updateInventory();
}

void save_world_file() {
  game.save_world();
}