class CactusBlock extends Block {
  //a sub class of block. used instead of CustomBlock as it has an extra script.
  PImage img;
  String type;
  
  CactusBlock(float _x, float _y, int _x_list_pos, int _y_list_pos, String rotation) {
    super(_x, _y, _x_list_pos, _y_list_pos, "cactus_" + rotation + ".png", "cactus", 1, null);
    img = texture_manager.get_texture("cactus_" + rotation + ".png");
    item = new Item(texture_manager.get_texture("cactus_" + rotation + ".png"), "block", "cactus block");
    super.item = item;
  }
  
  //update the block
  void update(ArrayList<Light> lights) {
    if (dist(player.x, player.y, x, y) < 20) {
      player.health--;
    }
    super.img = img.get();
    super.update(lights);
  }
}